FixedHolder (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.FixedHolder class

Module java.corba
Package org.omg.CORBA

## Class FixedHolder

- java.lang.Object
- - org.omg.CORBA.FixedHolder

- All Implemented Interfaces:
    `Streamable`

      public final class FixedHolder
      extends Object
      implements Streamable

  The Holder for `Fixed`. For more information on Holder files, see "Generated Files: Holder Files".

  FixedHolder is a container class for values of IDL type "fixed", which is mapped to the Java class java.math.BigDecimal. It is usually used to store "out" and "inout" IDL method parameters. If an IDL method signature has a fixed as an "out" or "inout" parameter, the programmer must pass an instance of FixedHolder as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the contained value corresponding to the "out" value returned from the server.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `BigDecimal` | `value` | The value held by the FixedHolder

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FixedHolder()` | Construct the FixedHolder without initializing the contained value.
    `FixedHolder​(BigDecimal initial)` | Construct the FixedHolder and initialize it with the given value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read​(InputStream input)` | Read a fixed point value from the input stream and store it in the value member.
    `TypeCode` | `_type()` | Return the `TypeCode` of this holder object.
    `void` | `_write​(OutputStream output)` | Write the fixed point value stored in this holder to an `OutputStream`.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public BigDecimal value

      The value held by the FixedHolder

  - ### Constructor Detail

    - #### FixedHolder

          public FixedHolder()

      Construct the FixedHolder without initializing the contained value.

    - #### FixedHolder

          public FixedHolder​(BigDecimal initial)

      Construct the FixedHolder and initialize it with the given value.
      Parameters:
        `initial` - the value used to initialize the FixedHolder

  - ### Method Detail

    - #### _read

          public void _read​(InputStream input)

      Read a fixed point value from the input stream and store it in the value member.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `input` - the `InputStream` to read from.

    - #### _write

          public void _write​(OutputStream output)

      Write the fixed point value stored in this holder to an `OutputStream`.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `output` - the `OutputStream` to write into.

    - #### _type

          public TypeCode _type()

      Return the `TypeCode` of this holder object.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object.